import { type Handler } from "aws-lambda";

import config from "../../config";
import Portal from "../portal";
import ScraperMethods from "../../enums/scraper-methods";

const name = `CIPER Chile`;

export const handler: Handler = new Portal(
  name, 
  config.MASTODON_KEY_CIPER,
  {
    url: config.CIPER,
    articlesSelector: "section.section-featured article",
    titleSelector: ".article-big-text__title, .article-featured-text__title",
    linkSelector: ".article-big-text__title a, .article-featured-text__title a",
    scraperMethod: ScraperMethods.AXIOS,
    hashtags: ["CIPERChile", "Actualidad", "Artículo", "Investigación", "Columnas"],
    cacheExpiration: 60 * 60 * 24 * 30, // 30 días
  }
).getHandler();
